image: node:latest
stages:
  - build
  - deploy
build:
  stage: build
  script:
  - echo $SERVER_BASE_URL
  - npm install --ignore-engines
  - mkdir dist/
  - npm run build
  - npm run lint
  only:
  - development
  artifacts:
    paths:
    - dist/
deploy:
  stage: deploy
  image: python:latest
  script:
  - pip install awscli
  - aws s3 cp dist/ s3://project-name/ --recursive
  only:
  - development
